       identification division.
       program-id. sam.
       environment division.
       configuration section.
       input-output section.
       file-control.
           select newfile   assign to disk
           organization is indexed
           access is dynamic
           record is imacctno.
       data division.
       file section.

       fd  newfile
           label records are standard
           value of file-id is "new".


       01  newrec.
           02 imacctno pic 9(5)  .
           02 iamtdue pic 9(4)v99 .
           02 filler pic x(69).
       working-storage section.
       77 flag pic x.
       77 mistake pic 9 value is 0.
       77 amt pic 9(4)v99.
       77 amt1 pic 9(4)v99.
       77 acctno pic 9(5).


       procedure division.
       st-pa.
           open input newfile.
           display "indexed file content before updation".
       print1.
           read newfile  next record at end go to last.
           display imacctno , "  " , iamtdue.
           go to print1.

       last.
           close newfile.




           open i-o newfile.
           perform updatepara until flag  = "n".
           close newfile.




           open input newfile.
           display "indexed file content".
       print.
           read newfile  next record at end go to last1.
           display imacctno , "  " , iamtdue.
           go to print.

       last1.
           close newfile.
           stop run.

       updatepara.
           display " enter acct no".
           accept acctno.
           move acctno to imacctno.
           read newfile invalid key move 1 to mistake
                          display "record not found".
           if mistake = 0
               if acctno = imacctno
               display 'enter amt due"
               accept amt
               compute amt1 = amt + iamtdue
               move amt1 to iamtdue
               rewrite newrec.

               display "continue".
               move 0 to mistake.
               accept flag.

